org.apache.xerces.impl.xs.assertion

## Interface XMLAssertHandler

- All Superinterfaces:
    XSAssertionXPath2Value
  All Known Implementing Classes:
    XMLAssertAdapter, XMLAssertXPath2EngineImpl

      public interface XMLAssertHandler
      extends XSAssertionXPath2Value

  The implementation of this interface will invoke an external XPath engine, that would evaluate the XPath 2.0 expressions for XML Schema 1.1 assertions. This interface communicates with the XMLSchemaValidator and accepts context information required by the external XPath engine. If assertions evaluation would return 'true', validation would proceed further checking the remaining validation constraints.
  Version:
    $Id: XMLAssertHandler.java 1503577 2013-07-16 07:18:35Z mukulg $
  Author:
    Ken Cai, IBM, Mukul Gandhi, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(org.apache.xerces.xni.XMLString text)`
    `void` | `comment(org.apache.xerces.xni.XMLString text)`
    `void` | `endElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.Augmentations augs)`
    `java.lang.Object` | `getProperty(java.lang.String name)` Allows the user to retrieve specific properties on the underlying implementation.
    `void` | `processingInstruction(java.lang.String target, org.apache.xerces.xni.XMLString data)`
    `void` | `setProperty(java.lang.String name, java.lang.Object value)` Allows the user to set specific properties on the underlying implementation.
    `void` | `startElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, org.apache.xerces.xni.Augmentations augs)`

    - ### Methods inherited from interface org.apache.xerces.impl.xs.assertion.XSAssertionXPath2Value

      `getStringValueOf$value, setXDMTypedValueOf$value, setXDMTypedValueOf$valueForSTVarietyAtomic, setXDMTypedValueOf$valueForSTVarietyList, setXDMTypedValueOf$valueForSTVarietyUnion`

- - ### Method Detail

    - #### startElement

          void startElement(org.apache.xerces.xni.QName element,
                          org.apache.xerces.xni.XMLAttributes attributes,
                          org.apache.xerces.xni.Augmentations augs)
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### endElement

          void endElement(org.apache.xerces.xni.QName element,
                        org.apache.xerces.xni.Augmentations augs)
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### characters

          void characters(org.apache.xerces.xni.XMLString text)

    - #### comment

          void comment(org.apache.xerces.xni.XMLString text)

    - #### processingInstruction

          void processingInstruction(java.lang.String target,
                                   org.apache.xerces.xni.XMLString data)

    - #### setProperty

          void setProperty(java.lang.String name,
                         java.lang.Object value)
                           throws java.lang.IllegalArgumentException

      Allows the user to set specific properties on the underlying implementation.
      Parameters:
        `name` - The name of the property.
        `value` - The value of the property.
      Throws:
        `java.lang.IllegalArgumentException` - thrown if the underlying implementation doesn't recognize the property.

    - #### getProperty

          java.lang.Object getProperty(java.lang.String name)
                                       throws java.lang.IllegalArgumentException

      Allows the user to retrieve specific properties on the underlying implementation.
      Parameters:
        `name` - The name of the property.
      Returns:
        value The value of the property.
      Throws:
        `java.lang.IllegalArgumentException` - thrown if the underlying implementation doesn't recognize the property.

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.